## rblcheck 20020316

=== utils/dns/Makefile ===
# DNS Utilities Makefile.
#
# $Id: Makefile,v 1.6 2000/04/21 15:22:57 logic Exp $
#
# $Log: Makefile,v $
# Revision 1.6  2000/04/21 15:22:57  logic
# Update to current cvs tree.
#
# Revision 1.1  1998/01/27 02:10:33  emarshal
# Added dump.c, a quick utility for dumping an RR (sort of);
# suitable for hexdumping.
#

# Linux/glibc, Solaris
#CC=cc
#CFLAGS=-O
#LDFLAGS=-s -lresolv

# Linux/libc5, NeXT
CC=cc
CFLAGS=-g -Wall
LDFLAGS=-s

all: dump

clean:
	-rm dump

=== debian/changelog ===
rblcheck (20020316-8) unstable; urgency=medium

  * Switched from sgmltools-lite to docbook-utils.
  * Removed the dead dnsbl.njabl.org zone.
  * Added md5sums. (Closes: #697083)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Dec 2013 08:14:59 +0100

rblcheck (20020316-7) unstable; urgency=medium

  * Removed the dead list.dsbl.org zone.
  * Added psbl.surriel.com.
  * Clarified the semantics of -q in the documentation. (Closes: #128043)

 -- Marco d'Itri <md@linux.it>  Tue, 08 Dec 2009 16:43:30 +0100

rblcheck (20020316-6) unstable; urgency=low

  * Added a man page for rblcheck(1). (Closes: #87114, #131541)
  * Added the binary-indep target to debian/rules. (Closes: #395740)
  * Fixed the help text for the -s option. (Closes: #285310)
  * Removed SPEWS.
  * Added pbl.spamhaus.org and bl.spamcop.net. (Closes: #406071)
  * s/RBL/DNSBL/ where practical.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Apr 2008 17:37:50 +0200

rblcheck (20020316-5) unstable; urgency=high

  * Removed *.easynet.nl. (Closes: #224630)
  * Added dul.dnsbl.sorbs.net.
  * cbl.abuseat.org changed in xbl.spamhaus.org.

 -- Marco d'Itri <md@linux.it>  Fri,  2 Jan 2004 23:15:56 +0100

rblcheck (20020316-4) unstable; urgency=low

  * Removed relays.osirusoft.com. (Closes: #207472)
  * Removed proxies.relays.monkeys.com, opm.blitzed.org and relays.ordb.org.
  * Added cbl.abuseat.org, sbl.spamhaus.org, blackholes.easynet.nl,
    dynablock.easynet.nl, l1.spews.dnsbl.sorbs.net.

 -- Marco d'Itri <md@linux.it>  Wed, 27 Aug 2003 20:59:26 +0200

rblcheck (20020316-3) unstable; urgency=medium

  * Removed ztl.dorkslayers.com, blacklist.spambag.org and
    relays.ordb.org, added list.dsbl.org and proxies.relays.monkeys.com.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2003 13:32:24 +0100

rblcheck (20020316-2) unstable; urgency=medium

  * Removed ORBZ zones (Closes: #139216).

 -- Marco d'Itri <md@linux.it>  Wed, 20 Mar 2002 20:30:07 +0100

rblcheck (20020316-1) unstable; urgency=low

  * New upstream release.
  * More zones added: dnsbl.njabl.org, ztl.dorkslayers.com,
    blacklist.spambag.org, opm.blitzed.org. Removed orbs.dorkslayers.com.

 -- Marco d'Itri <md@linux.it>  Sat, 16 Mar 2002 15:01:21 +0100

rblcheck (20010424-5) unstable; urgency=medium

  * Removed dead ORBZ zone.

 -- Marco d'Itri <md@linux.it>  Thu, 13 Dec 2001 01:44:56 +0100

rblcheck (20010424-4) unstable; urgency=medium

  * Removed dead orbl.org zone (Closes: #115592)

 -- Marco d'Itri <md@linux.it>  Sat,  3 Nov 2001 14:53:05 +0100

rblcheck (20010424-3) unstable; urgency=low

  * Removed references to MAPS domains (Closes: #104523).
  * Added other ORBS clones (Closes: #103540).
  * Added build dependency on w3m (Closes: #97503).

 -- Marco d'Itri <md@linux.it>  Fri,  3 Aug 2001 19:49:00 +0200

rblcheck (20010424-2) unstable; urgency=low

  * Removed references to ORBS, added references to ORBS clones
    (Closes: #101461).

 -- Marco d'Itri <md@linux.it>  Mon,  2 Jul 2001 21:16:32 +0200

rblcheck (20010424-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 24 Apr 2001 19:31:56 +0200

rblcheck (20010130-3) unstable; urgency=medium

  * Updated mail-abuse.org domains.

 -- Marco d'Itri <md@linux.it>  Sun,  4 Feb 2001 20:42:43 +0100

rblcheck (20010130-2) unstable; urgency=low

  * Fixed broken -t option.

 -- Marco d'Itri <md@linux.it>  Fri,  2 Feb 2001 14:00:49 +0100

rblcheck (20010130-1) unstable; urgency=low

  * New upstream version, new maintainer.
  * WARNING: new checks have been added to the default list.

 -- Marco d'Itri <md@linux.it>  Wed, 31 Jan 2001 14:41:30 +0100

rblcheck (19990221-1) unstable; urgency=low

  * New upstream version, and first release as an independent package.  Was
    formerly part of dnsutils, separated as part of the restructuring motivated
    by the release of BIND 9.

 -- Bdale Garbee <bdale@gag.com>  Sat, 27 Jan 2001 02:08:58 -0700

=== debian/control ===
Source: rblcheck
Section: net
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8), docbook-utils, lynx

Package: rblcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to query DNSBL servers
 This program is a very basic interface to DNS Blackhole Lists.
 The basic idea of the filter is that when someone is blacklisted for
 email abuse of some sort, a new domain name is resolved of the form
 "2.0.0.127.domain.name.com", where 2.0.0.127 is the abusive IP address
 in reverse (for example, 2.0.0.127 would be the IP address 127.0.0.2),
 and "domain.name.com" is the base domain name of the filtering service.
Homepage: http://sourceforge.net/projects/rblcheck/

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/rblcheck

CFLAGS ?= -O2 -g

build: build-stamp
build-stamp:
	dh_testdir
	$(CC) $(CFLAGS) -o rblcheck rblcheck.c $(LDFLAGS) -lresolv
	perl -pe '/ (id|linkend)=/ and s/_/\1-/g' < docs/rblcheck.sgml > docs/rblcheck.tmp.sgml 
#	cd docs && docbook2html rblcheck.tmp.sgml -V nochunks && mv rblcheck.tmp.html rblcheck.html
	cd docs && docbook2txt rblcheck.tmp.sgml && mv rblcheck.tmp.txt rblcheck.txt
	touch $@

clean:
	dh_testdir
	rm -f build-stamp
	rm -f rblcheck docs/rblcheck.txt docs/rblcheck.html docs/rblcheck.tmp.*
	dh_clean

binary-arch: build
	dh_testroot
	dh_testdir
	dh_prep

	dh_installdirs usr/bin
	cp rblcheck $D/usr/bin/
	dh_installdocs README NEWS docs/rblcheck.txt # docs/rblcheck.html
	dh_installexamples
	rm -rf $D/usr/share/doc/rblcheck/examples/*/CVS/
	dh_installman rblcheck.1
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch

build-arch: build
build-indep: build

.PHONY: build clean binary-arch binary-indep binary

## rblcheck 20190930

=== debian/changelog ===
rblcheck (20190930-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix cross building. (Closes: #1029086)

 -- Marco d'Itri <md@linux.it>  Sat, 28 Jan 2023 23:34:03 +0100

rblcheck (20190930-2) unstable; urgency=medium

  * Enabled hardening.
  * Generally updated the packaging.

 -- Marco d'Itri <md@linux.it>  Sun, 01 Jan 2023 15:17:06 +0100

rblcheck (20190930-1) unstable; urgency=medium

  * New upstream maintainer and new upstream release.
    Now The package supports:
    + IPv6 dnsbls.
    + domain-based DNSBLs (URIBLs).

 -- Marco d'Itri <md@linux.it>  Mon, 30 Sep 2019 15:47:05 +0200

rblcheck (20020316-10) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: use the host architecture compiler. (Closes: #882457)

 -- Marco d'Itri <md@linux.it>  Sun, 26 Nov 2017 12:40:52 +0100

rblcheck (20020316-9) unstable; urgency=medium

  * Switched to debhelper compat level 10.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2016 16:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: rblcheck
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8), docbook-utils, lynx
+Standards-Version: 4.6.2.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+ docbook-utils,
+ lynx,
+Vcs-Git: https://github.com/rfc1036/rblcheck.git
+Vcs-Browser: https://github.com/rfc1036/rblcheck
 
 Package: rblcheck
 Architecture: any
@@ -15,4 +20,3 @@
  "2.0.0.127.domain.name.com", where 2.0.0.127 is the abusive IP address
  in reverse (for example, 2.0.0.127 would be the IP address 127.0.0.2),
  and "domain.name.com" is the base domain name of the filtering service.
-Homepage: http://sourceforge.net/projects/rblcheck/

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildtools.mk

D := $(CURDIR)/debian/rblcheck

%:
	dh $@ --without autoreconf

override_dh_clean:
	dh_clean rblcheck docs/rblcheck.txt docs/rblcheck.html docs/rblcheck.tmp.*

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o rblcheck rblcheck.c $(LDFLAGS) -lresolv
	perl -pe '/ (id|linkend)=/ and s/_/\1-/g' < docs/rblcheck.sgml > docs/rblcheck.tmp.sgml
	cd docs && docbook2txt rblcheck.tmp.sgml && mv rblcheck.tmp.txt rblcheck.txt

## rblcheck 20231210

=== debian/changelog ===
rblcheck (20231210-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:59 +1100

rblcheck (20231210-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:11:00 +0000

rblcheck (20231210-1) unstable; urgency=medium

  * New upstream release.
    + Adds support for HashBLs.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Dec 2023 03:17:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: rblcheck
 Section: net
 Priority: optional
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+ pkgconf,
+ libssl-dev,
  docbook-utils,
  lynx,
 Vcs-Git: https://github.com/rfc1036/rblcheck.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

%:
	dh $@
